MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029477Open CASCADE[OCCT] OCCT:Visualizationpublic2018-02-02 20:132018-06-29 21:19
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSAndroidOS Version7.0 Nougat
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029477: Visualization, TKOpenGl - MSAA FBO initialization failure on OpenGL ES 3.2 device
DescriptionMSAA texture initialization fails on OpenGL ES 3.2 device
(Samsung Galaxy Tab S3) with the following error:
19:58 EGLVersion: 1.4 Android META-EGL
      EGLVendor: Android
      EGLClientAPIs: OpenGL_ES
      GLvendor: Qualcomm
      GLdevice: Adreno (TM) 530
      GLversion: OpenGL ES 3.2 V@145.0 (GIT@I25dc76dc3f) [GLSL: OpenGL ES GLSL ES 3.20]
      GLdebug: ON
      Max texture size: 16384
      Max combined texture units: 96
      Max MSAA samples: 4
      Viewport: 2048x1488
      Display scale: 1.7
      Available CPU cores: 4
      System Memory: 3414 MiB
19:58 TKOpenGl.OpenGL | Type: Error | ID: 2147483647 | Severity: High | Message:
        internalformat %d is not a sized format
19:58 TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
        Error! Main FBO 2048x1488@2 initialization has failed


This is regression after 0027925.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028615closedbugmaster Open CASCADE Visualization, TKOpenGl - enabling MSAA leads to black screen on OpenGL ES 
child of 0027925closedbugmaster Open CASCADE Visualization - implement order-independent transparency algorithm within rasterization rendering 

-  Notes
(0073741)
git (administrator)
2018-02-02 20:28

Branch CR29477 has been created by kgv.

SHA-1: 92be34146184c1ae59fb46548099047864c0d3ef


Detailed log of new commits:

Author: kgv
Date: Fri Feb 2 20:14:49 2018 +0300

    0029477: Visualization, TKOpenGl - MSAA FBO initialization failure on OpenGL ES 3.2 device
    
    OpenGl_View::myFboColorFormat now initialized using sized texture format GL_RGBA8
    on mobile platforms (as in case of desktop platform).
(0073742)
kgv (developer)
2018-02-02 20:29

Please take the patch.
Regression testing is not needed.
(0073787)
git (administrator)
2018-02-05 11:39

Branch CR29477 has been deleted by kgv.

SHA-1: 92be34146184c1ae59fb46548099047864c0d3ef

- Related Changesets
occt: master 161e0e95
Timestamp: 2018-02-02 17:14:49
Author: kgv
Committer: apn
Details ] Diff ]
0029477: Visualization, TKOpenGl - MSAA FBO initialization failure on OpenGL ES 3.2 device

OpenGl_View::myFboColorFormat now initialized using sized texture format GL_RGBA8
on mobile platforms (as in case of desktop platform).
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-02 20:13 kgv New Issue
2018-02-02 20:13 kgv Assigned To => kgv
2018-02-02 20:13 kgv Relationship added parent of 0029472
2018-02-02 20:28 git Note Added: 0073741
2018-02-02 20:29 kgv Note Added: 0073742
2018-02-02 20:29 kgv Assigned To kgv => bugmaster
2018-02-02 20:29 kgv Status new => resolved
2018-02-02 20:29 kgv Status resolved => reviewed
2018-02-02 20:33 apn Test case number => Not needed
2018-02-02 20:35 kgv Relationship added related to 0028615
2018-02-02 20:36 kgv Relationship added child of 0027925
2018-02-02 20:37 kgv Product Version 7.4.0* => 7.2.0
2018-02-02 20:37 kgv Target Version 7.4.0* => 7.3.0
2018-02-02 20:42 kgv Description Updated View Revisions
2018-02-02 20:46 kgv OS => Android
2018-02-02 20:46 kgv OS Version => 7.0
2018-02-02 20:46 kgv OS Version 7.0 => 7.0 Nougat
2018-02-02 20:46 kgv Steps to Reproduce Updated View Revisions
2018-02-03 18:59 apn Changeset attached => occt master 161e0e95
2018-02-03 18:59 apn Assigned To bugmaster => apn
2018-02-03 18:59 apn Status reviewed => verified
2018-02-03 18:59 apn Resolution open => fixed
2018-02-05 11:39 git Note Added: 0073787
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker